{
  "name": "vite-vue3-ts-template",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc --noEmit && vite build",
    "preview": "vite preview"
  },
  "dependencies": {
    "@amap/amap-jsapi-loader": "^1.0.1",
    "echarts": "^5.4.3",
    "naive-ui": "^2.36.0",
    "pinia": "^2.1.7",
    "pinia-plugin-persist": "^1.0.0",
    "tank-vue3-seamless-scroll": "^1.0.16",
    "vue": "^3.3.11",
    "vue-router": "^4.2.5"
  },
  "devDependencies": {
    "@types/node": "^20.10.4",
    "@typescript-eslint/parser": "^6.14.0",
    "@vitejs/plugin-vue": "^4.5.2",
    "eslint": "^8.55.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-plugin-import": "^2.29.0",
    "eslint-plugin-vue": "^9.19.2",
    "sass": "^1.69.3",
    "typescript": "^5.3.3",
    "vite": "^5.0.8",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-eslint": "^1.8.0",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "^1.8.25"
  }
}
